Bug 51931 - [Xamarin-Profiler]: Accessibility: MAS16: Windows: The name of Pie Slices is not being announced while focus is on slice. Narrator focus is dislocated.
Summary: [Xamarin-Profiler]: Accessibility: MAS16: Windows: The name of Pie Slices is ...
Status: CLOSED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Windows (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: 15.6
Assignee: Sergiy Velychko (Global Logic)
URL:
Depends on:
Blocks:
 
Reported: 2017-01-28 12:02 UTC by Ramya Sri Narasinga
Modified: 2018-04-23 12:35 UTC (History)
7 users (show)

Tags: wipro, xamarin-profiler, a11ymas, mas16, accessibility
Is this bug a regression?: ---
Last known good build:


Attachments
PieSlice_Narrator (248.10 KB, application/x-zip-compressed)
2017-01-28 12:02 UTC, Ramya Sri Narasinga
Details
Fixed_51931 (160.96 KB, image/png)
2018-04-23 12:35 UTC, Ramya Sri Narasinga
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED FIXED

Description Ramya Sri Narasinga 2017-01-28 12:02:04 UTC
Created attachment 19613 [details]
PieSlice_Narrator

Testing Environment:


OS: 
      • Windows 10.
      • Version 1067.
      • Build 14393.607.
Visual Studio and Xamarin:
      • VS 2017 RC Enterprise.
      • Xamarin For VS 4.3.0.550.
      • Xamarin Profiler 1.0.4.18
NVDA:
       • Version: 2016.4 


Pre-Requisites: 
1. Install Microsoft Visual Studio 2017 (Enable .Net, Android Emulators, Mobile Development Features).
2. Launch Microsoft Visual Studio 2017 and Log in with valid VS details.
3. Map Xamarin Account to Visual Studio (Tools -> Xamarin Account -> provide Valid Credentials).
4. Create New project (Template C# -> Cross Platform -> Xamarin template).
5. Select Debug Mode -> ARM -> Select App Name.Droid -> Select Android Emulator.
6. Build the application (Application Should Build Successfully).
7. Turn Narrator ON. 

Repro Steps: 
"1. Run Pre-requisite
2. Navigate to Top status bar of ""Visual Studio 2017 RC"" >Analyze> Xamarin Profiler> , then Press ENTER to launch Xamarin Profiler.
 (Xamarin Profiler is launched.)
3. ""General"" tab button-> All Instruments-> ""Allocations"" of Instrument list-> Allocations->Pie chart of the "" Inspector View"" pane.
4. Press Caps + Left/right arrow to navigate, each pie slices of the pie chart. 
5. Press Caps + Left/Right arrow to navigate, each data text of the pie slices.
"


Actual result:
"The narrator focus is dislocated for each pie slices, The name and data of each pie slices is not being announced when focus is on pie slices.

The narrator focus is navigating the  name/data text of the pie slices after navigating all the pie slices."


Expected result:
"The narrator should announce the name/data text of the pie slices when focus is on the each Pie slices."


User impact: 
User won't understand the purpose of the data provided in the data text. User may be confused.
Comment 1 Luis Aguilera 2017-06-22 12:54:10 UTC
moving to 15.4
Comment 2 xamarin-release-manager 2017-10-09 11:34:10 UTC
Fixed in version 1.6.1.84 (master)

Author: Sergiy Velychko
Commit: 705a74df2ec625fca72372ae5165e47f065141b5 (xamarin/profiler)
Comment 3 Ramya Sri Narasinga 2018-04-23 12:35:17 UTC
Created attachment 26271 [details]
Fixed_51931


The bug fix verified on Xamarin Profiler version: 1.6.2.145, hence closing this bug.